Boost.Locale: boost::locale::boundary::boundary_indexing< CharType > Class Template Reference

| Boost.Locale

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
boost::locale::boundary::boundary_indexing< CharType > Class Template Referenceabstract
Boundary Analysis

This facet generates an index for boundary analysis for a given text. More...

`#include <boost/locale/boundary/facets.hpp>`

Inheritance diagram for boost::locale::boundary::boundary_indexing< CharType >:

## Public Member Functions
| boundary_indexing (size_t refs=0)
virtual index_type | map (boundary_type t, Char const *begin, Char const *end) const =0

## Static Public Attributes
static std::locale::id | id

## Detailed Description

### template<typename CharType>
class boost::locale::boundary::boundary_indexing< CharType >

This facet generates an index for boundary analysis for a given text.

It is specialized for 4 types of characters `char_t`, `wchar_t`, `char16_t` and `char32_t`

## Constructor & Destructor Documentation

template<typename CharType >

boost::locale::boundary::boundary_indexing< CharType >::boundary_indexing | ( | size_t | refs = `0` | ) |
| inline

Default constructor typical for facets

## Member Function Documentation

template<typename CharType >

virtual index_type boost::locale::boundary::boundary_indexing< CharType >::map | ( | boundary_type | t,
|  | Char const * | begin,
|  | Char const * | end
| ) |  | const
| pure virtual

Create index for boundary type t for text in range [begin,end)

The returned value is an index of type index_type. Note that this index is never empty, even if the range [begin,end) is empty it consists of at least one boundary point with the offset 0.

## Member Data Documentation

template<typename CharType >

std::locale::id boost::locale::boundary::boundary_indexing< CharType >::id
| static

Identification of this facet

The documentation for this class was generated from the following file:

- boost/locale/boundary/facets.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.